# The Red Matrix: dba_driver Class Reference

All Classes Namespaces Files Functions Variables Pages
dba_driver Class Reference
Inheritance diagram for dba_driver:

## Public Member Functions

| connect ($server, $port, $user, $pass, $db)
| q ($sql)
| escape ($str)
| close ()
| __construct ($server, $port, $user, $pass, $db, $install=false)
| install ($server, $user, $pass, $db)
| dbg ($dbg)
| __destruct ()

## Public Attributes

| $connected = false
| $error = false

## Protected Attributes

| $debug = 0
| $db

## Constructor & Destructor Documentation

dba_driver::__construct | ( |  | $server,
|  |  | $port,
|  |  | $user,
|  |  | $pass,
|  |  | $db,
|  |  | $install = `false`
| ) |  |

dba_driver::__destruct | ( |  | ) |

## Member Function Documentation

dba_driver::close | ( |  | ) |

abstract

Referenced by __destruct().

dba_driver::connect | ( |  | $server,
|  |  | $port,
|  |  | $user,
|  |  | $pass,
|  |  | $db
| ) |  |

abstract

Referenced by __construct().

dba_driver::dbg | ( |  | $dbg | ) |

dba_driver::escape | ( |  | $str | ) |

abstract

dba_driver::install | ( |  | $server,
|  |  | $user,
|  |  | $pass,
|  |  | $db
| ) |  |

Referenced by __construct().

dba_driver::q | ( |  | $sql | ) |

abstract

## Member Data Documentation

dba_driver::$connected = false

dba_driver::$db

protected

Referenced by __construct(), dba_mysqli\connect(), and dba_mysql\connect().

dba_driver::$debug = 0

protected

dba_driver::$error = false

The documentation for this class was generated from the following file:

- include/dba/dba_driver.php